Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portlet
Class JBossRenderResponse

    java.lang.Object
      org.jboss.portal.portlet.impl.jsr168.api.PortletResponseImpl
          org.jboss.portal.portlet.impl.jsr168.api.RenderResponseImpl
              org.jboss.portlet.JBossRenderResponse

All Implemented Interfaces:
  PortletResponse, RenderResponse

    public class JBossRenderResponse

extends RenderResponseImpl

Version:
  $Revision: 8786 $
Author:
  Julien Viet

Field Summary

Fields inherited from class org.jboss.portal.portlet.impl.jsr168.api.RenderResponseImpl
`bufferSize, namespace, result`

Fields inherited from class org.jboss.portal.portlet.impl.jsr168.api.PortletResponseImpl
`invocation, preq`

Fields inherited from interface javax.portlet.RenderResponse
`EXPIRATION_CACHE`

Constructor Summary
`JBossRenderResponse(RenderInvocation invocation, PortletRequestImpl preq)`

Method Summary
`PortalNodeURL` | `createActionURL(PortalNode node)`
`PortalNodeURL` | `createRenderURL(PortalNode node)`
`PortletInvocation` | `getInvocation()` Deprecated.

Methods inherited from class org.jboss.portal.portlet.impl.jsr168.api.RenderResponseImpl
`createActionURL, createRenderURL, flushBuffer, getBufferSize, getCharacterEncoding, getContentType, getLocale, getNamespace, getPortletOutputStream, getResult, getWriter, isCommitted, reset, resetBuffer, setBufferSize, setContentType, setTitle`

Methods inherited from class org.jboss.portal.portlet.impl.jsr168.api.PortletResponseImpl
`addProperty, encodeURL, setProperty`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.portlet.PortletResponse
`addProperty, encodeURL, setProperty`

Constructor Detail

### JBossRenderResponse

    public JBossRenderResponse(RenderInvocation invocation,
                               PortletRequestImpl preq)

Method Detail

### createActionURL

    public PortalNodeURL createActionURL(PortalNode node)
                                  throws java.lang.IllegalArgumentException,
                                         java.lang.IllegalStateException

  Throws:
    `java.lang.IllegalArgumentException`
    `java.lang.IllegalStateException`

### createRenderURL

    public PortalNodeURL createRenderURL(PortalNode node)
                                  throws java.lang.IllegalArgumentException,
                                         java.lang.IllegalStateException

  Throws:
    `java.lang.IllegalArgumentException`
    `java.lang.IllegalStateException`

### getInvocation

    public PortletInvocation getInvocation()

  Deprecated.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD